PTS_SOURCE(1)

NAME
pts_source - Read pts commands from a file

SYNOPSIS
pts source [-file] <file name> [-cell] <cell name>
   [-noauth] [-localauth] [-force] [-auth] [-encrypt] [-help]
   [-config <config directory>]

pts so [-f] <file name> [-c] <cell name>
   [-n] [-l] [-f] [-h] [-a] [-e] [-co <config directory>]

DESCRIPTION
The pts source runs commands from a file as if they were typed in pts interactive mode. The command can be run from the command line or interactively.

CAUTIONS
Prior to OpenAFS 1.4.5 and OpenAFS 1.5.23, the pts source command was only available on Unix or Linux and when OpenAFS was compiled with the supergroups option (disabled by default). As of OpenAFS 1.4.5 and 1.5.23, it is always available.

OPTIONS
pts source takes the following options:

-file <file name>
    Specifies the file name to read commands from. The commands in the given file are run as if they were typed in pts interactive mode.

-auth
    Use the calling user's tokens to communicate with the Protection Server. For more details, see pts(1).

-cell <cell name>
    Names the cell in which to run the command. For more details, see pts(1).

-config <config directory>
    Use an alternate config directory. For more details, see pts(1).

-encrypt
    Encrypts any communication with the Protection Server. For more details, see pts(1).

-force
    Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error.

-help
    Prints the online help for this command. All other valid options are ignored.

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. Do not combine this flag with the -cell or -noauth options. For more details, see pts(1).

-noauth
    Assigns the unprivileged identity anonymous to the issuer. For more details, see pts(1).

OUTPUT
This command shows the output of each command in the file as if it were run normally.

EXAMPLES
Here is an example of using pts source in a pts interactive session:

   % echo examine admin > /tmp/commands.txt
   % pts interactive
   pts> source /tmp/commands.txt
   Name: admin, id: 1, owner: system:administrators, creator: anonymous,
     membership: 2, flags: S----, group quota: 20.
   pts> quit
   %

SEE ALSO
pts(1), pts_interactive(1), pts_quit(1), pts_sleep(1)

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.